Subject: [bmwg] draft-ietf-bmwg-bgp-basic-convergence-05

From: "Bradner, Scott" <[email-masked]>
Date: Thu, 23 Jul 2015 12:16:30 +0000

This ID came up during the BMWG session today

Al mentioned that it had been in the rfc editor queue with a reference issue for a long time

the missing reference is ietf-sidr-bgpsec-protocol - it is only referenced in section 4.8

4.8.  Authentication

   Authentication in BGP is done using the TCP MD5 Signature Option
   [RFC5925].  The processing of the MD5 hash, particularly in devices
   with a large number of BGP peers and a large amount of update
   traffic, can have an impact on the control plane of the device.  If
   authentication is enabled, it MUST be documented correctly in the
   reporting format.

   Also it is recommended that trials MUST be with the same SIDR
   features (RFC7115 & BGPSec).  The best convergence tests would be
   with No SIDR features, and then with the same SIDR features.

two things about this reference

1/ the reference is listed as normative but it does not seem to me to be so in the overall context of the ID 

moving it to informational would seem to be fine

2/ title of RFC 5925 is "The TCP Authentication Option” (the title in the text of the obsoleted RFC)

Scott